using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using TopWinCMS.Common;
using TopWinCMS.BLL;
using TopWinCMS.BLL.SitemapBuilder;
namespace TopWinCMS.WebUI.Admin.ContentRelease
{
    public partial class SiteMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                RightsCheck.CheckWorkPower("R_2");
        }

        protected void BT_GoogleXML_Click(object sender, EventArgs e)
        {
            int Top = Convert.ToInt32(NTB_Top.Text);

            new SitemapBuilder().BuildingGoogle(Top,
                DDL_changefreq.SelectedValue,
                "0.5",
                Server.MapPath("~/"),
                TB_FileName.Text);

            MsgBox.Alert("生成完毕！", UpdatePanel1);

        }

        protected void BT_BaiduXML_Click(object sender, EventArgs e)
        {
            int Top = Convert.ToInt32(NTB_Top2.Text);

            new SitemapBuilder().BuildingBaidu(Top,
               NTB_updatePeri.Text,
                Server.MapPath("~/"),
                TB_FileName2.Text);



            MsgBox.Alert("生成完毕！", UpdatePanel1);
        }
    }
}